summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick_automake/core/kdebase/debian/prune-nonfree
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2020-11-15 18:10:52 +0100
committerSlávek Banko <slavek.banko@axis.cz>2020-11-15 18:10:52 +0100
commit830f9676b4568fdf5704bd94c856d97d4c35813d (patch)
treeb7eb9bd9ca4fdb4c97da7b013583c87ab8f6e671 /ubuntu/maverick_automake/core/kdebase/debian/prune-nonfree
parent0bfe4e2db5faf194cbafe6c3fcb8f331dd32f8c5 (diff)
downloadtde-packaging-830f9676b4568fdf5704bd94c856d97d4c35813d.tar.gz
tde-packaging-830f9676b4568fdf5704bd94c856d97d4c35813d.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'ubuntu/maverick_automake/core/kdebase/debian/prune-nonfree')
-rw-r--r--ubuntu/maverick_automake/core/kdebase/debian/prune-nonfree21
1 files changed, 21 insertions, 0 deletions
diff --git a/ubuntu/maverick_automake/core/kdebase/debian/prune-nonfree b/ubuntu/maverick_automake/core/kdebase/debian/prune-nonfree
new file mode 100644
index 000000000..4fa832d5c
--- /dev/null
+++ b/ubuntu/maverick_automake/core/kdebase/debian/prune-nonfree
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+# Removes non-free files from the source tree. Must be done before
+# creating the orig.tar.gz.
+
+TOPLEVEL="$1"
+
+if [ "$TOPLEVEL" = "" ]; then
+ echo "Please provide the toplevel directory as the argument."
+ exit 1
+else
+ rm -f $TOPLEVEL/kcontrol/energy/pics/energybig.png
+ rm -f $TOPLEVEL/kcontrol/energy/pics/lo-energy.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr128-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr16-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr32-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr48-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr64-app-energy_star.png
+fi
+
+exit 0